Bug 1448040 - Review Request: python-ipyparallel - Interactive Parallel Computing with IPython
Summary: Review Request: python-ipyparallel - Interactive Parallel Computing with IPython
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1448041
TreeView+ depends on / blocked
 
Reported: 2017-05-04 12:39 UTC by Mattias Ellert
Modified: 2017-06-09 19:23 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-09 19:23:34 UTC
tcallawa: fedora-review+


Attachments (Terms of Use)

Description Mattias Ellert 2017-05-04 12:39:05 UTC
Spec URL: http://www.grid.tsl.uu.se/review/python-ipyparallel.spec
SRPM URL: http://www.grid.tsl.uu.se/review/python-ipyparallel-6.0.2-1.fc27.src.rpm

Description:
ipyparallel is the new home of IPython.parallel. ipyparallel is a Python package and collection of CLI scripts for controlling clusters for Jupyter.

Fedora Account System Username: ellert

Comment 1 Mattias Ellert 2017-05-18 16:53:52 UTC
New version with tests in a separate subpackage:

Spec URL: http://www.grid.tsl.uu.se/review/python-ipyparallel.spec
SRPM URL: http://www.grid.tsl.uu.se/review/python-ipyparallel-6.0.2-2.fc27.src.rpm

Comment 2 Tom "spot" Callaway 2017-06-01 19:09:07 UTC
Review
=======
- rpmlint checks return:
python2-ipyparallel.noarch: W: no-manual-page-for-binary ipcluster
python2-ipyparallel.noarch: W: no-manual-page-for-binary ipcluster-2
python2-ipyparallel.noarch: W: no-manual-page-for-binary ipcluster-2.7
python2-ipyparallel.noarch: W: no-manual-page-for-binary ipcontroller
python2-ipyparallel.noarch: W: no-manual-page-for-binary ipcontroller-2
python2-ipyparallel.noarch: W: no-manual-page-for-binary ipcontroller-2.7
python2-ipyparallel.noarch: W: no-manual-page-for-binary ipengine
python2-ipyparallel.noarch: W: no-manual-page-for-binary ipengine-2
python2-ipyparallel.noarch: W: no-manual-page-for-binary ipengine-2.7
python3-ipyparallel.noarch: W: no-manual-page-for-binary ipcluster-3
python3-ipyparallel.noarch: W: no-manual-page-for-binary ipcluster-3.6
python3-ipyparallel.noarch: W: no-manual-page-for-binary ipcontroller-3
python3-ipyparallel.noarch: W: no-manual-page-for-binary ipcontroller-3.6
python3-ipyparallel.noarch: W: no-manual-page-for-binary ipengine-3
python3-ipyparallel.noarch: W: no-manual-page-for-binary ipengine-3.6
python2-ipyparallel-tests.noarch: W: no-documentation
python3-ipyparallel-tests.noarch: W: no-documentation
All safe to ignore.
- package meets naming guidelines
- package meets python and general packaging guidelines
- license (BSD) OK, text in %license, matches source
- spec file legible, in am. english
- source matches upstream (50870b9ced63bb776b1409a5fe980837cdff093e8fcfe1aa2eb4ab4434c4eb60)
- package compiles on f26 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- test suite run

APPROVED.

Comment 3 Tom "spot" Callaway 2017-06-01 19:09:46 UTC
Amend: No need for -docs is incorrect. -doc package is appropriate. :)

Comment 4 Gwyn Ciesla 2017-06-02 12:34:59 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-ipyparallel

Comment 5 Fedora Update System 2017-06-02 14:11:24 UTC
python-metakernel-0.20.2-2.fc26 python-ipyparallel-6.0.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c373ea651

Comment 6 Fedora Update System 2017-06-04 19:41:09 UTC
python-ipyparallel-6.0.2-2.fc26, python-metakernel-0.20.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c373ea651

Comment 7 Fedora Update System 2017-06-09 19:23:34 UTC
python-ipyparallel-6.0.2-2.fc26, python-metakernel-0.20.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.